This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 451405 - Review Request: python-weberror - Web Error handling and exception catching middleware
Review Request: python-weberror - Web Error handling and exception catching m...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On: 451406
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-14 03:07 EDT by Ricky Zhou
Modified: 2014-10-13 19:00 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.10.1-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 00:15:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ricky Zhou 2008-06-14 03:07:17 EDT
Spec URL: http://ricky.fedorapeople.org/pkgs/python-weberror/python-weberror.spec
SRPM URL: http://ricky.fedorapeople.org/pkgs/python-weberror/python-weberror-0.8-1.fc9.src.rpm
Description: WebError is WSGI middleware that performs error handling and exception catching.
Comment 1 Ricky Zhou 2008-06-14 03:12:13 EDT
Add dependency on the python-tempita review bug (#451406).  This will also
depend on WebOb (which hasn't been submitted yet).  
Comment 2 Jason Tibbitts 2008-06-21 16:05:31 EDT
Currently this builds but doesn't install due to the missing WebOb dependency. 
Did you intend to submit that or was someone else going to do so?
Comment 3 Ricky Zhou 2008-06-21 16:11:07 EDT
Yup, this was intentional (as part of an effort to get everything packaged to be
ready to support turbogears2).  I spoke to spot, who had already packaged, but
not submitted a WebOb package, and I'll be submitting that package myself shortly.  
Comment 4 Brian Pepple 2008-07-07 20:21:13 EDT
Remove it from the queue until python-Web0b is submitted; just clear the
whiteboard when it's ready.
Comment 5 Ricky Zhou 2008-07-17 00:46:35 EDT
Readd to queue (python-webob has been submitted)

Some changes:
* Thu Jul 17 2008 Ricky Zhou <ricky@fedoraproject.org> - 0.8-3
- Update Requires for python-webob rename.
- Add BuildRequires on python-webob and python-webtest.

* Mon Jul 07 2008 Ricky Zhou <ricky@fedoraproject.org> - 0.8-2
- Add %%check section.

Spec URL: http://ricky.fedorapeople.org/pkgs/python-weberror/python-weberror.spec
SRPM URL:
http://ricky.fedorapeople.org/pkgs/python-weberror/python-weberror-0.8-3.fc9.src.rpm

Comment 6 Luke Macken 2008-10-21 16:10:08 EDT
http://lmacken.fedorapeople.org/rpms/python-weberror-0.9-1.fc9.src.rpm
http://lmacken.fedorapeople.org/rpms/python-weberror.spec

* Tue Oct 21 2008 Luke Macken <lmacken@redhat.com> - 0.9-1
- Update to 0.9
- Add python-tempita to the BuildRequires
Comment 7 Luke Macken 2008-10-21 17:45:33 EDT
http://lmacken.fedorapeople.org/rpms/python-weberror-0.9-2.fc9.src.rpm
http://lmacken.fedorapeople.org/rpms/python-weberror.spec

* Tue Oct 21 2008 Luke Macken <lmacken@redhat.com> - 0.9-2
- Add a patch to remove the wsgiref requirement, as it is now in Python2.5
Comment 8 Jason Tibbitts 2008-12-06 22:10:24 EST
This one has been sitting for a bit.  I'll take a look.

It builds fine on rawhide; rpmlint says:
  python-weberror.noarch: W: incoherent-version-in-changelog 0.9-3 ['0.9-2.fc11', 
   '0.9-2']
The last changelog entry is for release 3 but the package is still at release 2.

I note that 0.9.1 is out.  Did you want to update?
Comment 9 Ricky Zhou 2008-12-06 22:28:37 EST
Strange, I didn't see any weird release when I looked - maybe Luke fixed that.  Here's a new release with the updated version:

Spec URL: http://ricky.fedorapeople.org/pkgs/python-weberror/python-weberror.spec
SRPM URL: http://ricky.fedorapeople.org/pkgs/python-weberror/python-weberror-0.9.1-1.fc10.src.rpm
Comment 10 Jason Tibbitts 2008-12-06 23:38:15 EST
As for the release weirdness, note that the spec in comment 7 and the spec inside the src.rpm from comment 7 are not identical.

In any case, let me do a full review.

I might suggest that you expand the "WSGI" acronym in the description; I was curious as to what SGI was up to until I looked it up.  I don't think it's a big deal, though.

I do want to make sure that you're aware that this seems to bundle its own copy of at least part of jquery, which might fall afoul of future javascript packaging guidelines.

* source files match upstream.  sha256sum:
   0ab082270ceaf67de2761a521b1307b5869f790542fca8496d5fc029b62b1d0f  
   WebError-0.9.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   python-weberror = 0.9.1-1.fc11
  =
   python(abi) = 2.6
   python-pygments
   python-simplejson
   python-tempita
   python-webob

* %check is present and all tests pass:
   Ran 16 tests in 0.339s
   OK

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 11 Luke Macken 2009-01-06 17:23:00 EST
New Package CVS Request
=======================
Package Name: python-weberror
Short Description: Web Error handling and exception catching middleware
Owners: lmacken, ricky
Branches: F-10 F-9 EL-5
Comment 12 Kevin Fenzi 2009-01-06 20:23:47 EST
cvs done.
Comment 13 Jason Tibbitts 2009-02-19 21:34:11 EST
I note that this package is in rawhide but doesn't seem to have been pushed to any  of the release branches.  I see a build for F-10 but nothing for F-9 (not sure how to check EPEL).

If you really wanted this package in the release branches, please build it for them and issue updates in bodhi.  Otherwise, please go ahead and close this ticket.
Comment 14 Fedora Update System 2009-02-24 00:13:48 EST
python-weberror-0.10.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-weberror-0.10.1-1.fc10
Comment 15 Fedora Update System 2009-02-24 00:13:55 EST
python-weberror-0.10.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-weberror-0.10.1-1.fc9
Comment 16 Luke Macken 2009-02-24 00:15:19 EST
Tagged, built, and submitted for F-10 and F-9 updates.  Thanks!
Comment 17 Fedora Update System 2009-02-24 15:49:01 EST
python-weberror-0.10.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-02-24 15:56:08 EST
python-weberror-0.10.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Ralph Bean 2014-10-13 13:24:40 EDT
Package Change Request
======================
Package Name: python-weberror
New Branches: epel7
Owners: ralph
Comment 20 Kevin Fenzi 2014-10-13 19:00:06 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.